;; -*- no-byte-compile: t; -*-
;;; $DOOMDIR/packages.el
;;;
;; Snippets! From hlissner!
(package! emacs-snippets
  :recipe (:host github
           :repo "hlissner/emacs-snippets"
           :files ("*")))

(package! declutter
  :recipe (:host github
           :repo "sanel/declutter"))

(package! evil-matchit
  :recipe (:host github
           :repo "redguardtoo/evil-matchit"))

(package! justify-kp
  :recipe (:host github
           :repo "Fuco1/justify-kp"))

;;(package! eglot)

;; python stuffs
(package! w3m)
(package! blacken)
(package! pylint)
(package! py-isort)
(package! importmagic)

;; slack ... okay one more time
(package! slack)

;; org stuffs
(package! ob-http)
(package! org-web-tools)
(package! org-vcard)
(package! org-snooze)
(package! org-alert)
(package! org-drill)
(package! org-superstar)

;; handy tools
(package! nov)
(package! git-link)
(package! auth-source-pass)
(package! ivy-todo)
(package! ivy-explorer)
(package! ivy-lobsters)
(package! web-search)
(package! mpdel)
(package! ivy-mpdel)
(package! elfeed-protocol)
(package! deadgrep)
(package! mastodon)
(package! magit-circleci)
(package! smog)

;; pretty tings up
(package! srcery-theme)
(package! kaolin-themes)
(package! nyan-mode)
(package! emojify)

; provides typographical replacements
(package! typo)

;; TODO Remove when nose shows up on github again
(disable-packages! nose)
